/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-09-28
 * 描述            ：交货状态与工序点关联关系表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.com.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.ComBaseDeliverystateRPpcMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_BASE_DELIVERYSTATE_R_PPC", namespace=ComBaseDeliverystateRPpcMapper.class)
public class ComBaseDeliverystateRPpc extends BaseVO implements Serializable {
	/** 
	 * 交货状态代码(来源于COM_BASE_DELIVERYSTATE)
	 */ 
	@Id
	private String delivery_state_code;
	public String getDelivery_state_code() {
		return this.delivery_state_code;
	}
	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	/** 
	 * 工序点代码
	 */ 
	@Id
	private String process_point_code;
	public String getProcess_point_code() {
		return this.process_point_code;
	}
	public void setProcess_point_code(String process_point_code) {
		this.process_point_code = process_point_code;
	}

	/** 
	 * 工序点名称
	 */ 
	@Column
	private String process_point_desc;
	public String getProcess_point_desc() {
		return this.process_point_desc;
	}
	public void setProcess_point_desc(String process_point_desc) {
		this.process_point_desc = process_point_desc;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

}
